Programy nie chca się uruchomić - problem z libjpeg


(Antikanime) #1
error while loading shared libraries: libjpeg.so.62: cannot open shared object file: No such file or directory

To właśnie wyświetla mi się jak próbuję uruchomić jakiś program korzystający z qt. System mam zaktualizowany, a korzystam z KDE 4.3 rc1. Są w repozytorium(arch) jak wpisuję pacman -S libjpeg pisze iż mam go już zaktualizowanego. libjpeg w wersji 7-1 takie mam zainstalowane i takie się domyślnie instaluje jak chce się zainstalować libjpeg. Jest jeszcze wersja 6b-6 ale żeby ją zainstalować musiałbym usunąć poprzednią a wtedy chce mi się całe środowisko usunąć. Gdy korzystałem z wersji kde .4.3 beta tego nie miałem.


(matiit) #2

Mam ten plik. Więc też go powinieneś mieć... Spróbuj przebudować:

pacman -S abs

abs

cd /var/abs/extra/libjpeg

makepkg --asroot

Wszystko z roota Utworzy się paczka

pacman -U paczka

(Antikanime) #3

Nie pomogło.

Nadal pisze brak libjpeg.so.62

spróbowałem tego

ln libjpeg.so.7.0.0 libjpeg.so.62

Hmm niby pomogło niby nie... już nie pisze mi ze brakuje tej biblioteki i programy się chociaż uruchamiają. ale co z tego skoro za 2 sekundy okienko programu wywala się i pisze krytyczny błąd.


(matiit) #4

Możesz jeszcze spróbować przebudować qt.

A najlepiej zgłoś buga.